> For the complete documentation index, see [llms.txt](https://docs.altura.com/altura-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-an-items-history.md).

# Get an Item's History

### Get an item's transaction history

## Returns the blockchain history of an item&#x20;

<mark style="color:blue;">`GET`</mark> `https://api.alturanft.com/api/v2/item/events/:address/:tokenId`

Takes a collection address and tokenId and returns that item's blockchain history (mint, transfers, listed, delisted, sell, etc)

#### Path Parameters

| Name                                      | Type    | Description                   |
| ----------------------------------------- | ------- | ----------------------------- |
| address<mark style="color:red;">\*</mark> | String  | The item's collection address |
| tokenId<mark style="color:red;">\*</mark> | Integer | The item's tokenId            |

#### Query Parameters

| Name    | Type    | Description                                                                                         |
| ------- | ------- | --------------------------------------------------------------------------------------------------- |
| perPage | Integer | <p>The number of users to return </p><p></p><p>(default: 24)</p>                                    |
| page    | Integer | <p>The offset for returned users. Calculated as (page - 1) \* perPage</p><p></p><p>(default: 1)</p> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "events": [
    {
      "id": "ItemListed-35068-0x1926113a7555109443093baefaa1b87de973c111c1610e03bb8d3aa6154e3e8e-19",
      "amount": "1",
      "blockNumber": 24406454,
      "chainId": 56,
      "currency": "0x0000000000000000000000000000000000000000",
      "currencyPrice": 243.06,
      "event": "ItemListed",
      "from": "0x7a6d17c77fe350011596572d73d332d6b0794f06",
      "itemCollection": "0xdb0047cb1dfc44696f6e9868ef6bb40000280b05",
      "itemRef": "56-0xdb0047cb1dfc44696f6e9868ef6bb40000280b05-9",
      "price": 10,
      "timestamp": 1672570064,
      "to": "",
      "tokenId": 9,
      "transactionHash": "0x1926113a7555109443093baefaa1b87de973c111c1610e03bb8d3aa6154e3e8e",
      "worth": 0
    },
    {
      "id": "TransferSingle-24406454-18",
      "amount": "1",
      "blockNumber": 24406454,
      "chainId": 56,
      "event": "TransferSingle",
      "from": "0x7a6d17c77fe350011596572d73d332d6b0794f06",
      "itemCollection": "0xdb0047cb1dfc44696f6e9868ef6bb40000280b05",
      "itemRef": "56-0xdb0047cb1dfc44696f6e9868ef6bb40000280b05-9",
      "timestamp": 1672570064,
      "to": "0xe29f0b490f0d89ca7acac1c7bed2e07ecad65201",
      "tokenId": 9,
      "transactionHash": "0x1926113a7555109443093baefaa1b87de973c111c1610e03bb8d3aa6154e3e8e"
    }
  ]
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}
